WCS_ASTRO_GET_ASSOCIATED(3)

EXPERIMENTAL_FUNC
wcs_astro_get_associated - Create/get associated Astronomical Sky Co-ordinate projections.

SYNOPSIS
#include <karma_wcs.h>

KwcsAstro wcs_astro_get_associated

(multi_array *multi_desc,unsigned int index)

DESCRIPTION
This routine will attempt create/get the associated Astronomical Sky Co-ordinate projection information for a general data structure. If the projection information is found, it is associated with the general data structure in the multi_array descriptor, to speed subsequent accesses.

multi_desc
    The multi_array descriptor.

index
    The index of the general data structure in the descriptor.

RETURN VALUE
A KwcsAstro object on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/